Commands.Settle
Keywords: net.corda.finance.contracts.asset.Obligation.Commands.Settle class
Date: 2023-09-18

net.corda.finance.contracts.asset

## Class Commands.Settle<P>

- net.corda.finance.contracts.asset.Obligation.Commands.Settle<P>

- All Implemented Interfaces:
    CommandData
  Enclosing interface:
    Obligation.Commands

      public static class Commands.Settle<P>
      implements CommandData

  A command stating that the obligor is settling some or all of the amount owed by transferring a suitable state object to the beneficiary. If this reduces the balance to zero, the state object is destroyed.

  See Also:
    `interface MoveCommand`

- - ### Constructor Detail

    - #### Settle

          public Settle(@NotNull
                        Amount<net.corda.core.contracts.Issued> amount)

      A command stating that the obligor is settling some or all of the amount owed by transferring a suitable state object to the beneficiary. If this reduces the balance to zero, the state object is destroyed.

      See Also:
        `interface MoveCommand`

  - ### Method Detail

    - #### getAmount

          @NotNull
          public Amount<net.corda.core.contracts.Issued> getAmount()

    - #### component1

          @NotNull
          public Amount<net.corda.core.contracts.Issued> component1()

    - #### copy

          @NotNull
          public net.corda.finance.contracts.asset.Obligation.Commands.Settle<P> copy(@NotNull
                                                                                               Amount<net.corda.core.contracts.Issued> amount)

      A command stating that the obligor is settling some or all of the amount owed by transferring a suitable state object to the beneficiary. If this reduces the balance to zero, the state object is destroyed.

      See Also:
        `interface MoveCommand`

    - #### toString

          @NotNull
          public java.lang.String toString()

      A command stating that the obligor is settling some or all of the amount owed by transferring a suitable state object to the beneficiary. If this reduces the balance to zero, the state object is destroyed.

      See Also:
        `interface MoveCommand`

    - #### hashCode

          public int hashCode()

      A command stating that the obligor is settling some or all of the amount owed by transferring a suitable state object to the beneficiary. If this reduces the balance to zero, the state object is destroyed.

      See Also:
        `interface MoveCommand`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      A command stating that the obligor is settling some or all of the amount owed by transferring a suitable state object to the beneficiary. If this reduces the balance to zero, the state object is destroyed.

      See Also:
        `interface MoveCommand`